Bug 121677 - Missing item name :Check for updates: in drop-down list Help on tab File in Tabbed GUI in Draw
Summary: Missing item name :Check for updates: in drop-down list Help on tab File in T...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2018-11-23 14:31 UTC by Roman Kuznetsov
Modified: 2018-12-18 11:22 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Missed item name (12.62 KB, image/png)
2018-11-23 14:33 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2018-11-23 14:31:35 UTC
Description:
Missing item name in drop-down list Help on tab File in Tabbed GUI in Draw

Steps to Reproduce:
1. Change GUI to Tabbed in Draw
2. Select File tab
3. Open drop-down menu Help to right side of bar
4. Missed name of item Update?

Actual Results:
Missed name of item

Expected Results:
item shows its name


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Roman Kuznetsov 2018-11-23 14:33:32 UTC
Created attachment 146982 [details]
Missed item name
Comment 2 raal 2018-11-28 13:26:33 UTC
Confirm Version: 6.2.0.0.beta1+
Build ID: da957eff1dc2e4b9e49a27799344978af03a6e24
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win;
Comment 3 Xisco Faulí 2018-12-05 12:47:16 UTC
Not reproduced in

Version: 6.2.0.0.alpha0+
Build ID: d027b4ae533d5b8d7b00f5e1b8351b8c9e203085
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 4 Xisco Faulí 2018-12-05 12:53:14 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ca341bbe44169135958d7a0b28feaed7d1aa11d3

author	andreas kainz <kainz.a@gmail.com>	2018-10-18 15:13:24 +0200
committer	andreas_kainz <kainz.a@gmail.com>	2018-10-18 21:15:26 +0200
commit	ca341bbe44169135958d7a0b28feaed7d1aa11d3 (patch)
tree	38fd7ecf340846c27a27fd9410a82839d26c866e
parent	3f9c477929c261a8862411c00153e4c7d0d0ae7c (diff)
Sync Image/Graphic Tabb and context menu
NB: sync MenuImage in tabbed toolbar
context menu: sync graphic.xml context menu

in writer, calc, impress and draw

Bisected with: bibisect-linux64-6.2 

Adding Cc: to andreas kainz
Comment 5 Commit Notification 2018-12-10 23:28:51 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/34d5e910adba4094bba1303284f9552028d0b019%5E%21

tdf#121677 missing item name check for updates

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-12-11 08:05:12 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/030c9f1fcb8fecfd8b80d9f7f73025bab8a1b65b%5E%21

tdf#121677 missing item name check for updates

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2018-12-18 11:22:42 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 6dc36d343aeacb3d1e14ec0c847937d63f4e68a7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Andreas Kainz, Thanks for the quick fix!!